import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
// Importing social login module and google login provider.
import { SocialLoginModule, AuthServiceConfig, GoogleLoginProvider } from 'angular4-social-login';

import { AppComponent } from './app.component';

// Client id for the google oauth. This is used for validation of our application to google.
// https://developers.google.com/identity/sign-in/web/sign-in#before_you_begin
const google_oauth_client_id:string = 'Your-google-client-id';
let config = new AuthServiceConfig([
  {
    id: GoogleLoginProvider.PROVIDER_ID,
    provider: new GoogleLoginProvider(google_oauth_client_id)
  }
]);

@NgModule({
  declarations: [
    AppComponent
  ],
  // Injecting the social-login-module during the application startup!
  imports: [
    BrowserModule, SocialLoginModule.initialize(config)
  ],
  providers: [],
  bootstrap: [AppComponent]
})

export class AppModule { }
